# frozen_string_literal: true

module Hermes
  class DetailedScore
    include Hermes::Concerns::CommonFieldsConcern

    field :under_30_year_points, type: Integer
    field :history_points, type: Integer
    field :entity_points, type: Integer
    field :effort_rate_points, type: Integer
    field :motivation_points, type: Integer
    field :seniority_points, type: Integer

    embedded_in :score, class_name: 'Hermes::Score'

    common_indexes *%i[
      created_at
      under_30_year_points
      history_points
      entity_points
      effort_rate_points
      motivation_points
      seniority_points
    ]
  end
end