# frozen_string_literal: true

module Hermes
  class PublicHousingRequestShareSerializer < Hermes::ApplicationSerializer
    cache key: proc { "#{object.cache_key}" }, expires_in: 1.day
    attributes %i[
      housing_request_id
      lessor_id
      expire_at
      public_url
      coapplicants
    ]

    type 'housing_request_shares'

    def lessor_id
      object.lessor_id&.to_s
    end

    def housing_request_id
      object.housing_request_id&.to_s
    end
    
    def coapplicants
      j=[]
      object.housing_request&.coapplicants.each do |car|
        if ca = Hermes::Applicant.find_by(id: car[:id])
          j<<Hermes::ApplicantSerializer.new(
            ca,
            root: false
          ).as_json
        end
      end
      j
    end
    
    has_one :housing_request
  end
end